Retrieve a delta
Returns counter instances that have changed since the last delta token.
Caution
Read the Delta page. There is important information on required implementation!
Tip
Check the Swagger page for more technical information on the endpoints.
Endpoint details
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counters?delta
Headers: Authorization: Bearer {token}, User-Agent: {agent}
Scope: connector-protimeapi-counters.read
Response properties
| Field | Type | Required | Writable | Description |
|---|---|---|---|---|
changeVersion |
string | — | Read-only | Property to indicate the order of changes. |
id |
integer | — | Read-only | Unique identifier for the counter instance. |
shiftDefinition.id |
integer | — | Read-only | Unique identifier for the shift definition, if a shift is linked to this counter. |
numberOfInstances |
integer | — | Read-only | Number of counter instances. |
request.id |
string | — | Read-only | Internal unique identifier for the related request, if the counter was requested. |
status |
string | — | Read-only | Status of the counter instance (Unknown, Auto, Manual, Calendar). |
isAuthorized |
boolean | — | Read-only | Indicates if the counter instance is authorized. |
person.id |
integer | — | Read-only | Unique identifier for the person linked to this counter. |
periodType |
string | — | Read-only | Type of period the counter applies to (Unknown, Day, Week, PayPeriod). |
counterDefinition.id |
integer | — | Read-only | Unique identifier for the counter definition linked to this counter. |
date |
string | — | Read-only | Date of the counter instance that it is registered on. |
startTimeInMinutes |
integer | — | Read-only | Start time in minutes from midnight. |
endTimeInMinutes |
integer | — | Read-only | End time in minutes from midnight. |
durationInMinutes |
integer | — | Read-only | Duration of the counter instance in minutes. |
Filters
| Filter | Type | Description |
|---|---|---|
date |
Required | The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year. The end date isn’t required, when providing an end date there is a max range of 1 year |
counter-definition |
Optional | Filter by specific counter definition IDs |
status |
Optional | Filter by one or more status values |
Note
- People cannot be used in the delta
- The start date must be a recent date in the past, with the earliest allowed start date being January 1st of the previous year
- The end date isn’t required, when providing an end date there is a max range of 1 year
External references
The endpoint supports predefined and custom external references. See the external references page for details and the predefined options list.
The following collections are supported for this endpoint:
| Collection | Predefined | Custom |
|---|---|---|
people |
@badge-number, @employee-number |
Supported |
shift-definitions |
@shift-code |
Supported |
counter-definitions |
@counter-code |
Supported |
Error responses
| Status | Condition |
|---|---|
400 |
Invalid filter syntax or unknown filter field |
401 |
Missing or invalid access token, or insufficient scope |
410 |
Delta token has expired (older than 72 hours) |
414 |
Request URI too long |
Examples
A delta with filter on date range
Example for counters with a delta starting from 1st of January 2025:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counters?filter=date ge '2025-01-01'&delta
A delta with external references
Example for counters with external references:
GET
https://<tenant>.myprotime.eu/connector/protimeapi/api/v1/counters?filter=date ge '2025-01-01'&externalReferences=(people,@employee-number)(counter-definitions,@counter-code)&delta